SDL_GetGamepadMappingForGUID(3)

NAME
SDL_GetGamepadMappingForGUID - Get the gamepad mapping string for a given GUID.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_GetGamepadMappingForGUID(SDL_JoystickGUID guid);

DESCRIPTION
The returned string must be freed with SDL_free ().

FUNCTION PARAMETERS

guid
    a structure containing the GUID for which a mapping is desired

RETURN VALUE
Returns a mapping string or NULL on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickInstanceGUID(3), SDL_GetJoystickGUID(3)